Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# AnimChannelMatrixDynamic Class Reference

An animation channel that accepts a matrix each frame from some dynamic input provided by code. More...

Inheritance diagram for AnimChannelMatrixDynamic:

List of all members.

## Public Member Functions
PandaNode | getValueNode ()
| Returns the node that was set via set_value_node(), if any.
TransformState const | getValueTransform ()
| Returns the explicit TransformState value that was set via set_value(), if any.
| setValue (TransformState const value)
| Explicitly sets the matrix value, using the indicated TransformState object as a convenience.
| setValue (Mat4 const value)
| Explicitly sets the matrix value.
| setValueNode (PandaNode node)
| Specifies a node whose transform will be queried each frame to implicitly specify the transform of this joint.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

An animation channel that accepts a matrix each frame from some dynamic input provided by code.

This object operates in two modes: in explicit mode, the programmer should call set_value() each frame to indicate the new value; in implicit mode, the programmer should call set_value_node() to indicate the node whose transform will be copied to the joint each frame.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from AnimChannelMatrix.

PandaNode getValueNode | ( |  | ) |

Returns the node that was set via set_value_node(), if any.

TransformState const getValueTransform | ( |  | ) |

Returns the explicit TransformState value that was set via set_value(), if any.

setValue | ( | TransformState const | value | ) |

Explicitly sets the matrix value, using the indicated TransformState object as a convenience.

setValue | ( | Mat4 const | value | ) |

Explicitly sets the matrix value.

setValueNode | ( | PandaNode | node | ) |

Specifies a node whose transform will be queried each frame to implicitly specify the transform of this joint.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties